# Connect Order Sources

The ShipStation API Connect Order Sources API allows you to connect existing order sources accounts to your ShipStation API account(s) programmatically via the API without having to log in to the ShipStation API dashboard. This is a useful functionality if you have wrapped a custom UI around the ShipStation API toolset.

## Amazon

### Amazon Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `merchant_seller_id` | *string*, **required** |
| `product_identifier` | *enumerated string*, **required**  —  `sku`, `asin` |
| `mws_auth_token` | *string*, **required** |
| `weight_units` | *enumerated string* —  `pound`, `ounce`, `gram`, `kilogram` |


### Connect an Amazon account

#### POST /v-beta/connections/order_sources/amazon

**Get an Amazon MWS Auth Token**

- Go to [https://developer.amazonservices.com](https://developer.amazonservices.com), click Sign up for MWS, and log in with your Amazon Seller credentials.
- Select the "I want to give a developer access..." option, and enter: Developer Name: `ShipStation` Developer Account No: `4289-4417-4486`
- Follow the prompts, then use the Merchant Seller ID and MWS Auth Token in your request.



```http
POST /v-beta/connections/order_sources/amazon HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Amazon Account",
  "merchant_seller_id": "<YOUR_SELLER_ID_HERE>",
  "product_identifier": "<YOUR_SKU_HERE>",
  "mws_auth_token": "<MWS_AUTH_TOKEN_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate an Amazon account

#### PUT /v-beta/connections/order_sources/amazon/:id/deactivate


```http
PUT /v-beta/connections/order_sources/amazon/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate an Amazon account

#### PUT /v-beta/connections/order_sources/amazon/:id/reactivate


```http
PUT /v-beta/connections/order_sources/amazon/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Amazon CA

### Amazon CA Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `merchant_seller_id` | *string*, **required** |
| `product_identifier` | *enumerated string*, **required**  —  `sku`, `asin` |
| `mws_auth_token` | *string*, **required** |


### Connect an Amazon CA account

#### POST /v-beta/connections/order_sources/amazon_ca

**Get an Amazon MWS Auth Token**

- Go to [https://developer.amazonservices.com](https://developer.amazonservices.com), click Sign up for MWS, and log in with your Amazon CA Seller credentials.
- Select the "I want to give a developer access..." option, and enter: Developer Name: `ShipStation` Developer Account No: `4289-4417-4486`
- Follow the prompts, then use the Merchant Seller ID and MWS Auth Token in your request.



```http
POST /v-beta/connections/order_sources/amazon_ca HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Amazon CA Account",
  "merchant_seller_id": "<YOUR_SELLER_ID_HERE>",
  "product_identifier": "<YOUR_SKU_HERE>",
  "mws_auth_token": "<MWS_AUTH_TOKEN_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate an Amazon CA account

#### PUT /v-beta/connections/order_sources/amazon_ca/:id/deactivate


```http
PUT /v-beta/connections/order_sources/amazon_ca/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate an Amazon CA account

#### PUT /v-beta/connections/order_sources/amazon_ca/:id/reactivate


```http
PUT /v-beta/connections/order_sources/amazon_ca/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Brightpearl

### Brightpearl Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `user_name` | *string*, **required** |
| `integration_url` | *string*, **required** |
| `password` | *string*, **required** |
| `settings` | *object*, see the settings model below for more info. |


### Brightpearl Store Connect Settings Model

| Property | Description |
|  --- | --- |
| `automatically_import_sales_orders` | *boolean* |
| `automatically_create_shipments` | *boolean* |
| `channel_ids` | *string* |
| `account_code` | *string* |
| `data_center_code` | *string* —  `use`, `usw`, `eu1` |
| `weight_units` | *enumerated string* —  `pounds`, `ounces`, `grams` |
| `ship_action` | *enumerated string* —  `pack`, `ship` |
| `goods_out` | *enumerated string* —  `all`, `printed`, `picked`, `packed` |


### Connect a Brightpearl account

#### POST /v-beta/connections/order_sources/brightpearl


```http
POST /v-beta/connections/order_sources/brightpearl HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Brightpearl Account",
  "user_name": "<YOUR_USERNAME_HERE>",
  "integration_url": "<YOUR_INTEGRATION_URL_HERE>",
  "password": "<YOUR_PASSWORD_HERE>",
  "settings": {
    "automatically_import_sales_orders": true,
    "automatically_create_shipments": true
  }
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Brightpearl account

#### PUT /v-beta/connections/order_sources/brightpearl/:id/deactivate


```http
PUT /v-beta/connections/order_sources/brightpearl/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Brightpearl account

#### PUT /v-beta/connections/order_sources/brightpearl/:id/reactivate


```http
PUT /v-beta/connections/order_sources/brightpearl/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Cratejoy

### Cratejoy Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `user_name` | *string*, **required** |
| `password` | *string*, **required** |
| `url` | *string*, **required** |


### Connect a Cratejoy account

#### POST /v-beta/connections/order_sources/cratejoy


```http
POST /v-beta/connections/order_sources/cratejoy HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Cratejoy Account",
  "user_name": "<YOUR_USERNAME_HERE>",
  "password": "<YOUR_PASSWORD_HERE>",
  "url": "<YOUR_URL_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Cratejoy account

#### PUT /v-beta/connections/order_sources/cratejoy/:id/deactivate


```http
PUT /v-beta/connections/order_sources/cratejoy/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Cratejoy account

#### PUT /v-beta/connections/order_sources/cratejoy/:id/reactivate


```http
PUT /v-beta/connections/order_sources/cratejoy/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## ChannelAdvisor

### ChannelAdvisor Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `profile_id` | *integer*, **required** |
| `product_identifier` | *enumerated string*, **required**  —  `client_order_number`, `channel_advisor_order_number` |


### Connect a ChannelAdvisor account

#### POST /v-beta/connections/order_sources/channeladvisor


```http
POST /v-beta/connections/order_sources/channeladvisor HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "ChannelAdvisor Account",
  "profile_id": 12345,
  "product_identifier": "<YOUR_PRODUCT_IDENTIFIER_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a ChannelAdvisor account

#### PUT /v-beta/connections/order_sources/channeladvisor/:id/deactivate


```http
PUT /v-beta/connections/order_sources/channeladvisor/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a ChannelAdvisor account

#### PUT /v-beta/connections/order_sources/channeladvisor/:id/reactivate


```http
PUT /v-beta/connections/order_sources/channeladvisor/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Ebay

### Ebay Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `username` | *string*, **required** |
| `access_token` | *string*, **required** |
| `private_application_id` | *string*, **required** |


### Connect an Ebay account

#### POST /v-beta/connections/order_sources/ebay/access_token


```http
POST /v-beta/connections/order_sources/ebay/access_token HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Ebay Account",
  "username": "<YOUR_USERNAME_HERE>",
  "access_token": "<YOUR_ACCESS_TOKEN_HERE>",
  "private_application_id": "<YOUR_PRIVATE_APP_ID_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate an Ebay account

#### PUT /v-beta/connections/order_sources/ebay/:id/deactivate


```http
PUT /v-beta/connections/order_sources/ebay/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate an Ebay account

#### PUT /v-beta/connections/order_sources/ebay/:id/reactivate


```http
PUT /v-beta/connections/order_sources/ebay/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Etsy

### Etsy Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `access_token` | *string*, **required** |
| `access_token_secret` | *string*, **required** |
| `shop_id` | *integer*, **required** |
| `private_application_id` | *string*, **required** |


### Connect an Etsy account

#### POST /v-beta/connections/order_sources/etsy/access_token


```http
POST /v-beta/connections/order_sources/etsy/access_token HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Etsy Account",
  "access_token": "<YOUR_ACCESS_TOKEN_HERE>",
  "access_token_secret": "<YOUR_ACCESS_TOKEN_SECRET_HERE>",
  "shop_id": "<YOUR_SHOP_ID_HERE>",
  "private_application_id": "<YOUR_PRIVATE_APP_ID_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate an Etsy account

#### PUT /v-beta/connections/order_sources/etsy/:id/deactivate


```http
PUT /v-beta/connections/order_sources/etsy/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate an Etsy account

#### PUT /v-beta/connections/order_sources/etsy/:id/reactivate


```http
PUT /v-beta/connections/order_sources/etsy/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Groupon Goods

### Groupon Goods Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `supplier_id` | *string*, **required** |
| `token` | *string*, **required** |


### Connect a Groupon Goods account

#### POST /v-beta/connections/order_sources/groupon_goods


```http
POST /v-beta/connections/order_sources/groupon_goods HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Groupon Goods Account",
  "supplier_id": "<YOUR_SUPPLIER_ID_HERE>",
  "token": "<YOUR_TOKEN_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Groupon Goods account

#### PUT /v-beta/connections/order_sources/groupon_goods/:id/deactivate


```http
PUT /v-beta/connections/order_sources/groupon_goods/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Groupon Goods account

#### PUT /v-beta/connections/order_sources/groupon_goods/:id/reactivate


```http
PUT /v-beta/connections/order_sources/groupon_goods/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Jane Goods

### Jane Goods Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `user_name` | *string*, **required** |
| `password` | *string*, **required** |


### Connect a Jane account

#### POST /v-beta/connections/order_sources/jane


```http
POST /v-beta/connections/order_sources/jane HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Jane Account",
  "user_name": "<YOUR_USER_NAME_HERE>",
  "password": "<YOUR_PASSWORD_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Jane account

#### PUT /v-beta/connections/order_sources/jane/:id/deactivate


```http
PUT /v-beta/connections/order_sources/jane/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Jane account

#### PUT /v-beta/connections/order_sources/jane/:id/reactivate


```http
PUT /v-beta/connections/order_sources/jane/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Magento

### Magento Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `order_source_url` | *string*, **required** |
| `username` | *string*, **required** |
| `password` | *string*, **required** |
| `settings` | *object*, see the settings model below for more info. |


### Magento Store Connect Settings Model

| Property | Description |
|  --- | --- |
| `automatically_import_sales_orders` | *boolean* |
| `automatically_create_shipments` | *boolean* |
| `unpaid_status` | *string[]* |
| `paid_status` | *string[]* |
| `shipped_status` | *string[]* |
| `cancelled_status` | *string[]* |
| `hold_status` | *string[]* |
| `warehouse_location` | *string[]* |
| `capture_payment` | *enumerated string*  —  `when_order_is_shipped`, `when_order_is_placed` |


### Connect a Magento account

#### POST /v-beta/connections/order_sources/magento


```http
POST /v-beta/connections/order_sources/magento HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Magento Account",
  "order_source_url": "<YOUR_ORDER_SOURCE_URL_HERE>",
  "username": "<YOUR_USERNAME_HERE>",
  "password": "<YOUR_PASSWORD_HERE>",
  "settings": {
    "automatically_import_sales_orders": true,
    "automatically_create_shipments": true
  }
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Magento account

#### PUT /v-beta/connections/order_sources/magento/:id/deactivate


```http
PUT /v-beta/connections/order_sources/magento/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Magento account

#### PUT /v-beta/connections/order_sources/magento/:id/reactivate


```http
PUT /v-beta/connections/order_sources/magento/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Shopify

### Shopify Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `order_source_url` | *string*, **required** |
| `access_token` | *string*, **required** |
| `private_application_id` | *string*, **required** |


### Connect a Shopify account

#### POST /v-beta/connections/order_sources/shopify/access_token


```http
POST /v-beta/connections/order_sources/shopify/access_token HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Shopify Account",
  "order_source_url": "<YOUR_ORDER_SOURCE_URL_HERE>",
  "access_token": "<YOUR_ACCESS_TOKEN_HERE>",
  "private_application_id": "<YOUR_PRIVATE_APP_ID_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Shopify account

#### PUT /v-beta/connections/order_sources/shopify/:id/deactivate


```http
PUT /v-beta/connections/order_sources/shopify/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Shopify account

#### PUT /v-beta/connections/order_sources/shopify/:id/reactivate


```http
PUT /v-beta/connections/order_sources/shopify/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Stitch Labs

### Stitch Labs Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `order_source_url` | *string*, **required** |
| `api_key` | *string*, **required** |


### Connect a Stitch Labs account

#### POST /v-beta/connections/order_sources/stitch_labs


```http
POST /v-beta/connections/order_sources/stitch_labs HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Stitch Labs Account",
  "order_source_url": "<YOUR_ORDER_SOURCE_URL_HERE>",
  "api_key": "<YOUR_API_KEY_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Stitch Labs account

#### PUT /v-beta/connections/order_sources/stitch_labs/:id/deactivate


```http
PUT /v-beta/connections/order_sources/stitch_labs/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Stitch Labs account

#### PUT /v-beta/connections/order_sources/stitch_labs/:id/reactivate


```http
PUT /v-beta/connections/order_sources/stitch_labs/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## 3d Cart

### 3d Cart Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `access_token` | *string*, **required** |
| `account_name` | *string*, **required** |
| `private_application_id` | *string*, **required** |


### Connect a 3d Cart account

#### POST /v-beta/connections/order_sources/3dcart/access_token


```http
POST /v-beta/connections/order_sources/3dcart/access_token HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "3d Cart Account",
  "access_token": "<YOUR_ACCESS_TOKEN_HERE>",
  "account_name": "<YOUR_ACCOUNT_NAME_HERE>",
  "private_application_id": "<YOUR_PRIVATE_APP_ID_HERE>"

}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a 3d Cart account

#### PUT /v-beta/connections/order_sources/3dcart/:id/deactivate


```http
PUT /v-beta/connections/order_sources/3dcart/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a 3d Cart account

#### PUT /v-beta/connections/order_sources/3dcart/:id/reactivate


```http
PUT /v-beta/connections/order_sources/3dcart/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## TopHatter

### TopHatter Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `access_token` | *string*, **required** |


### Connect a TopHatter account

#### POST /v-beta/connections/order_sources/tophatter


```http
POST /v-beta/connections/order_sources/tophatter HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "TopHatter Account",
  "access_token": "<YOUR_ACCESS_TOKEN_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a TopHatter account

#### PUT /v-beta/connections/order_sources/tophatter/:id/deactivate


```http
PUT /v-beta/connections/order_sources/tophatter/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a TopHatter account

#### PUT /v-beta/connections/order_sources/tophatter/:id/reactivate


```http
PUT /v-beta/connections/order_sources/tophatter/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Volusion

### Volusion Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `api_url` | *string*, **required** |


### Connect a Volusion account

#### POST /v-beta/connections/order_sources/volusion


```http
POST /v-beta/connections/order_sources/volusion HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Volusion Account",
  "api_url": "<YOUR_API_URL_HERE>"
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Volusion account

#### PUT /v-beta/connections/order_sources/volusion/:id/deactivate


```http
PUT /v-beta/connections/order_sources/volusion/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Volusion account

#### PUT /v-beta/connections/order_sources/volusion/:id/reactivate


```http
PUT /v-beta/connections/order_sources/volusion/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## Walmart

### Walmart Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `consumer_id` | *string*, **required** |
| `private_key` | *string*, **required** |


### Connect a Walmart account

#### POST /v-beta/connections/order_sources/walmart


```http
POST /v-beta/connections/order_sources/walmart HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Walmart Account",
  "consumer_id": "<YOUR_CONSUMER_ID_HERE>",
  "private_key": "<YOUR_PRIVATE_KEY_HERE>"

}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Walmart account

#### PUT /v-beta/connections/order_sources/walmart/:id/deactivate


```http
PUT /v-beta/connections/order_sources/walmart/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Walmart account

#### PUT /v-beta/connections/order_sources/walmart/:id/reactivate


```http
PUT /v-beta/connections/order_sources/walmart/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

## WooCommerce

### WooCommerce Account Information Model

| Property | Description |
|  --- | --- |
| `order_source_nickname` | *string*, **required** |
| `auth_key` | *string*, **required** |
| `order_source_url` | *string*, **required** |
| `settings` | *object*, see the settings model below for more info. |


### WooCommerce Store Connect Settings Model

| Property | Description |
|  --- | --- |
| `automatically_import_sales_orders` | *boolean* |
| `automatically_create_shipments` | *boolean* |
| `unpaid_status` | *string[]* |
| `paid_status` | *string[]* |
| `shipped_status` | *string[]* |
| `cancelled_status` | *string[]* |
| `hold_status` | *string[]* |


### Connect a Woocommerce account

#### POST /v-beta/connections/order_sources/woocommerce


```http
POST /v-beta/connections/order_sources/woocommerce HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "order_source_nickname": "Woocommerce Account",
  "auth_key": "<YOUR_AUTH_KEY_HERE>",
  "order_source_url": "<YOUR_ORDER_SOURCE_URL_HERE>",
  "settings": {
    "automatically_import_sales_orders": true,
    "automatically_create_shipments": true
  }
}
```


```json
{
  "order_source_id": "aa3d8e8e-462b-4476-9618-72db7f7b7009"
}
```

### Deactivate a Woocommerce account

#### PUT /v-beta/connections/order_sources/woocommerce/:id/deactivate


```http
PUT /v-beta/connections/order_sources/woocommerce/se-1234/deactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```

### Reactivate a Woocommerce account

#### PUT /v-beta/connections/order_sources/woocommerce/:id/reactivate


```http
PUT /v-beta/connections/order_sources/woocommerce/se-1234/reactivate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
```